#include <errno.h>
#include <os/Main.h>
#include <stdio.h>

int g_argc;
char** g_argv;

__attribute__((weak)) int main(int argc, char** argv)
{
    g_argc = argc;
    g_argv = argv;

    int result;
    bool ok = luna_main(argc, argv).try_set_value_or_error(result, errno);
    if (!ok)
    {
        perror(g_argv[0]);
        return 1;
    }

    return result;
}
